#
# !!! Set these variables as appropriate for your system !!!
#

PYTHON = python2.3
ZOPELIB = /path/to/Zope/lib/python

#
# You shouldn't have to configure anything below this point
#

CONFIG = squid.cfg
TEMPLATEDIR = templates
OUTPUTDIR = output

SHELL = /bin/sh

.PHONY:	clean all install warning

# iRedirector.py squidAcl.py squidRewriteRules.py httpd.conf purge_squid squid.conf timing.py
all: .makeconfig_flag

.makeconfig_flag: $(CONFIG)
ifeq ($(ZOPELIB),/path/to/Zope/lib/python)
	@/bin/echo "You MUST edit the $(CONFIG) and Makefile to match your environment."
else
	/bin/mkdir -p output
	PYTHONPATH=$(ZOPELIB) $(PYTHON) ./makeconfig --config $(CONFIG) --templates $(TEMPLATEDIR) --output $(OUTPUTDIR)
	touch .makeconfig_flag
endif

install: all
	(cd output ; ./deploy)

clean:
	/bin/rm -rf output .makeconfig_flag



